import { Vue } from 'vue-property-decorator';
import { Editor } from '@tiptap/vue-2';
import { GraphDocument } from '../../../../classes';
import { FeatureType } from '@csnext/cs-data';
export default class ElementPropertyComponent extends Vue {
    nodeViewProps: any;
    node: any;
    editor: Editor;
    icon: string | null;
    get featureType(): FeatureType | undefined;
    get value(): any | null;
    set value(v: any | null);
    get propertyType(): FeatureType | undefined;
    get key(): string | undefined;
    get document(): GraphDocument;
    setStyle(): void;
    mounted(): void;
}
